#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	python3-PyQt-builder
Version		:	1.15.4
Release		:	16.2.0.rel%{?dist}
Summary		:	The PEP 517 compliant PyQt build system
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2 or GPLv3
URL		:	https://pypi.org/project/PyQt-builder/

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

%if %{with test}
BuildRequires	:	python3-iniconfig
BuildRequires	:	python-pep517
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest
%endif

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
PyQt-builder is the PEP 517 compliant build system
for PyQt and projects that extend PyQt. It extends
the sip build system and uses Qt's qmake to perform
the actual compilation and installation of extension
modules.Projects that use PyQt- builder provide an
appropriate pyproject.toml file and an optional project.py.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE-GPL2
%license LICENSE-GPL3
%{_bindir}/pyqt-bundle
%{_bindir}/pyqt-qt-wheel
%{python3_sitelib}/pyqtbuild/*.py
%{python3_sitelib}/pyqtbuild/__pycache__/*.pyc
%{python3_sitelib}/pyqtbuild/bundle/*.py
%{python3_sitelib}/pyqtbuild/bundle/__pycache__/*.pyc
%{python3_sitelib}/pyqtbuild/bundle/dlls/msvc-32/*.dll
%{python3_sitelib}/pyqtbuild/bundle/dlls/msvc-64/*.dll
%{python3_sitelib}/pyqtbuild/bundle/dlls/openssl-32/libcrypto-1_1.dll
%{python3_sitelib}/pyqtbuild/bundle/dlls/openssl-32/libssl-1_1.dll
%{python3_sitelib}/pyqtbuild/bundle/dlls/openssl-64/libcrypto-1_1-x64.dll
%{python3_sitelib}/pyqtbuild/bundle/dlls/openssl-64/libssl-1_1-x64.dll
%{python3_sitelib}/pyqtbuild/bundle/packages/*.py
%{python3_sitelib}/pyqtbuild/bundle/packages/__pycache__/*.pyc
%{python3_sitelib}/pyqtbuild/bundle/qt_wheel_distinfo/
%{python3_sitelib}/PyQt_builder-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
#no check available?
%{__python}						\
	-m pytest					\
		
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
